Changeset 2909


Ignore:
Timestamp:
Sep 12, 2013 6:03:35 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/configure

    r2887 r2909  
    10671067                          icl/link). Default when mentioned: mingw. Default
    10681068                          when not mentioned: disabled.
    1069 
    10701069  --disable-pkg-config    disable use of pkg-config (if available)
    10711070  --enable-static[=PKGS]
     
    19061905echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19071906  fi
    1908 
    1909 
    1910 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1911 if test "${enable_static_standardlibs+set}" = set; then
    1912   enableval="$enable_static_standardlibs"
    1913   case "$enableval" in
    1914      no | yes | auto ) ;;
    1915      *)
    1916        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1917 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1918    { (exit 1); exit 1; }; } ;;
    1919    esac
    1920    use_static_standardlibs=$enableval
    1921 else
    1922   use_static_standardlibs=no
    1923 fi;
    1924 
    19251907
    19261908
     
    30623044    CFLAGS="$OPT_CFLAGS"
    30633045  fi
    3064 
    30653046else
    30663047  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32303211    ;;
    32313212esac
    3232 
    3233 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3234 if test x$use_static_standardlibs != xno ; then
    3235   case $build in
    3236     *-mingw*)
    3237       static_standardlib_flag=-static
    3238       ;;
    3239     *)
    3240       static_standardlib_flag=-static-libgcc
    3241       ;;
    3242   esac
    3243   case " $LDFLAGS " in
    3244     *" $static_standardlib_flag "* ) ;;
    3245     *)
    3246     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3247 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3248     coin_save_LDFLAGS="$LDFLAGS"
    3249     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3250     cat >conftest.$ac_ext <<_ACEOF
    3251 /* confdefs.h.  */
    3252 _ACEOF
    3253 cat confdefs.h >>conftest.$ac_ext
    3254 cat >>conftest.$ac_ext <<_ACEOF
    3255 /* end confdefs.h.  */
    3256 
    3257 int
    3258 main ()
    3259 {
    3260 int i=0;
    3261   ;
    3262   return 0;
    3263 }
    3264 _ACEOF
    3265 rm -f conftest.$ac_objext conftest$ac_exeext
    3266 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3267   (eval $ac_link) 2>conftest.er1
    3268   ac_status=$?
    3269   grep -v '^ *+' conftest.er1 >conftest.err
    3270   rm -f conftest.er1
    3271   cat conftest.err >&5
    3272   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3273   (exit $ac_status); } &&
    3274          { ac_try='test -z "$ac_c_werror_flag"
    3275                          || test ! -s conftest.err'
    3276   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3277   (eval $ac_try) 2>&5
    3278   ac_status=$?
    3279   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3280   (exit $ac_status); }; } &&
    3281          { ac_try='test -s conftest$ac_exeext'
    3282   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3283   (eval $ac_try) 2>&5
    3284   ac_status=$?
    3285   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3286   (exit $ac_status); }; }; then
    3287   echo "$as_me:$LINENO: result: yes" >&5
    3288 echo "${ECHO_T}yes" >&6
    3289 else
    3290   echo "$as_me: failed program was:" >&5
    3291 sed 's/^/| /' conftest.$ac_ext >&5
    3292 
    3293 echo "$as_me:$LINENO: result: no" >&5
    3294 echo "${ECHO_T}no" >&6
    3295        LDFLAGS="$coin_save_LDFLAGS"
    3296        if test $use_static_standardlibs = yes ; then
    3297          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3298 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3299    { (exit 1); exit 1; }; }
    3300        fi
    3301 
    3302 fi
    3303 rm -f conftest.err conftest.$ac_objext \
    3304       conftest$ac_exeext conftest.$ac_ext
    3305     ;;
    3306   esac
    3307 fi
    33083213
    33093214ac_ext=c
     
    51645069*-*-irix6*)
    51655070  # Find out which ABI we are using.
    5166   echo '#line 5166 "configure"' > conftest.$ac_ext
     5071  echo '#line 5071 "configure"' > conftest.$ac_ext
    51675072  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    51685073  (eval $ac_compile) 2>&5
     
    67636668
    67646669# Provide some information about the compiler.
    6765 echo "$as_me:6765:" \
     6670echo "$as_me:6670:" \
    67666671     "checking for Fortran 77 compiler version" >&5
    67676672ac_compiler=`set X $ac_compile; echo $2`
     
    78307735   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78317736   -e 's:$: $lt_compiler_flag:'`
    7832    (eval echo "\"\$as_me:7832: $lt_compile\"" >&5)
     7737   (eval echo "\"\$as_me:7737: $lt_compile\"" >&5)
    78337738   (eval "$lt_compile" 2>conftest.err)
    78347739   ac_status=$?
    78357740   cat conftest.err >&5
    7836    echo "$as_me:7836: \$? = $ac_status" >&5
     7741   echo "$as_me:7741: \$? = $ac_status" >&5
    78377742   if (exit $ac_status) && test -s "$ac_outfile"; then
    78387743     # The compiler can only warn and ignore the option if not recognized
     
    80988003   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80998004   -e 's:$: $lt_compiler_flag:'`
    8100    (eval echo "\"\$as_me:8100: $lt_compile\"" >&5)
     8005   (eval echo "\"\$as_me:8005: $lt_compile\"" >&5)
    81018006   (eval "$lt_compile" 2>conftest.err)
    81028007   ac_status=$?
    81038008   cat conftest.err >&5
    8104    echo "$as_me:8104: \$? = $ac_status" >&5
     8009   echo "$as_me:8009: \$? = $ac_status" >&5
    81058010   if (exit $ac_status) && test -s "$ac_outfile"; then
    81068011     # The compiler can only warn and ignore the option if not recognized
     
    82028107   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82038108   -e 's:$: $lt_compiler_flag:'`
    8204    (eval echo "\"\$as_me:8204: $lt_compile\"" >&5)
     8109   (eval echo "\"\$as_me:8109: $lt_compile\"" >&5)
    82058110   (eval "$lt_compile" 2>out/conftest.err)
    82068111   ac_status=$?
    82078112   cat out/conftest.err >&5
    8208    echo "$as_me:8208: \$? = $ac_status" >&5
     8113   echo "$as_me:8113: \$? = $ac_status" >&5
    82098114   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    82108115   then
     
    1054710452  lt_status=$lt_dlunknown
    1054810453  cat > conftest.$ac_ext <<EOF
    10549 #line 10549 "configure"
     10454#line 10454 "configure"
    1055010455#include "confdefs.h"
    1055110456
     
    1064710552  lt_status=$lt_dlunknown
    1064810553  cat > conftest.$ac_ext <<EOF
    10649 #line 10649 "configure"
     10554#line 10554 "configure"
    1065010555#include "confdefs.h"
    1065110556
     
    1299112896   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1299212897   -e 's:$: $lt_compiler_flag:'`
    12993    (eval echo "\"\$as_me:12993: $lt_compile\"" >&5)
     12898   (eval echo "\"\$as_me:12898: $lt_compile\"" >&5)
    1299412899   (eval "$lt_compile" 2>conftest.err)
    1299512900   ac_status=$?
    1299612901   cat conftest.err >&5
    12997    echo "$as_me:12997: \$? = $ac_status" >&5
     12902   echo "$as_me:12902: \$? = $ac_status" >&5
    1299812903   if (exit $ac_status) && test -s "$ac_outfile"; then
    1299912904     # The compiler can only warn and ignore the option if not recognized
     
    1309513000   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1309613001   -e 's:$: $lt_compiler_flag:'`
    13097    (eval echo "\"\$as_me:13097: $lt_compile\"" >&5)
     13002   (eval echo "\"\$as_me:13002: $lt_compile\"" >&5)
    1309813003   (eval "$lt_compile" 2>out/conftest.err)
    1309913004   ac_status=$?
    1310013005   cat out/conftest.err >&5
    13101    echo "$as_me:13101: \$? = $ac_status" >&5
     13006   echo "$as_me:13006: \$? = $ac_status" >&5
    1310213007   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1310313008   then
     
    1466514570   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1466614571   -e 's:$: $lt_compiler_flag:'`
    14667    (eval echo "\"\$as_me:14667: $lt_compile\"" >&5)
     14572   (eval echo "\"\$as_me:14572: $lt_compile\"" >&5)
    1466814573   (eval "$lt_compile" 2>conftest.err)
    1466914574   ac_status=$?
    1467014575   cat conftest.err >&5
    14671    echo "$as_me:14671: \$? = $ac_status" >&5
     14576   echo "$as_me:14576: \$? = $ac_status" >&5
    1467214577   if (exit $ac_status) && test -s "$ac_outfile"; then
    1467314578     # The compiler can only warn and ignore the option if not recognized
     
    1476914674   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1477014675   -e 's:$: $lt_compiler_flag:'`
    14771    (eval echo "\"\$as_me:14771: $lt_compile\"" >&5)
     14676   (eval echo "\"\$as_me:14676: $lt_compile\"" >&5)
    1477214677   (eval "$lt_compile" 2>out/conftest.err)
    1477314678   ac_status=$?
    1477414679   cat out/conftest.err >&5
    14775    echo "$as_me:14775: \$? = $ac_status" >&5
     14680   echo "$as_me:14680: \$? = $ac_status" >&5
    1477614681   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1477714682   then
     
    1697616881   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1697716882   -e 's:$: $lt_compiler_flag:'`
    16978    (eval echo "\"\$as_me:16978: $lt_compile\"" >&5)
     16883   (eval echo "\"\$as_me:16883: $lt_compile\"" >&5)
    1697916884   (eval "$lt_compile" 2>conftest.err)
    1698016885   ac_status=$?
    1698116886   cat conftest.err >&5
    16982    echo "$as_me:16982: \$? = $ac_status" >&5
     16887   echo "$as_me:16887: \$? = $ac_status" >&5
    1698316888   if (exit $ac_status) && test -s "$ac_outfile"; then
    1698416889     # The compiler can only warn and ignore the option if not recognized
     
    1724417149   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1724517150   -e 's:$: $lt_compiler_flag:'`
    17246    (eval echo "\"\$as_me:17246: $lt_compile\"" >&5)
     17151   (eval echo "\"\$as_me:17151: $lt_compile\"" >&5)
    1724717152   (eval "$lt_compile" 2>conftest.err)
    1724817153   ac_status=$?
    1724917154   cat conftest.err >&5
    17250    echo "$as_me:17250: \$? = $ac_status" >&5
     17155   echo "$as_me:17155: \$? = $ac_status" >&5
    1725117156   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725217157     # The compiler can only warn and ignore the option if not recognized
     
    1734817253   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1734917254   -e 's:$: $lt_compiler_flag:'`
    17350    (eval echo "\"\$as_me:17350: $lt_compile\"" >&5)
     17255   (eval echo "\"\$as_me:17255: $lt_compile\"" >&5)
    1735117256   (eval "$lt_compile" 2>out/conftest.err)
    1735217257   ac_status=$?
    1735317258   cat out/conftest.err >&5
    17354    echo "$as_me:17354: \$? = $ac_status" >&5
     17259   echo "$as_me:17259: \$? = $ac_status" >&5
    1735517260   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1735617261   then
Note: See TracChangeset for help on using the changeset viewer.